%define name ircd
%define version 2.10.3
%define release 4mdk

Name:		%{name}
Summary:	IRC server from ftp.irc.org
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Networking/IRC
Source0:	ftp://ftp.irc.org/irc/server/%{name}-%{version}.tar.bz2
Source1:	ircd.init
Source2:	irc%{version}-config.h
Source3:	ircd_crypter
BuildRoot:	/var/tmp/%{name}-%{version}
Packager:	Vincent Danen <vdanen@linux-mandrake.com>

%description
ircd is the server (daemon) program for the Internet Relay Chat Program. The 
ircd is a server in that its function is to "serve" the client program irc(1) 
with messages and commands. All commands and user messages are passed directly 
to the ircd for processing and relaying to other ircd sites.

%prep
%setup -q


%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

CFLAGS=-D_GNU_SOURCE ./configure \
	--prefix=/usr \
	--libdir=/lib \
	--localstatedir=/var/run \
	--sysconfdir=/etc/ircd \
	--logdir=/var/log \
	--with-zlib \
	--disable-ipv6
MYARCH=`support/config.guess`
install -m644 %SOURCE2 $MYARCH/config.h
cd $MYARCH
make server


%install
mkdir -p $RPM_BUILD_ROOT/etc/ircd
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

make -C `support/config.guess` prefix=$RPM_BUILD_ROOT/usr \
	ircd_conf_dir=$RPM_BUILD_DIR/etc/ircd \
	ircd_var_dir=$RPM_BUILD_ROOT/var/run \
	ircd_log_dir=$RPM_BUILD_ROOT/var/log \
	install-server

# we have to manually build ircd.m4:
cd support
../ircd/buildm4 $RPM_BUILD_ROOT/etc/ircd/ircd.m4
cd ..

install -m 711 %{SOURCE3} $RPM_BUILD_ROOT/usr/sbin/ircd-crypter
echo 'This is a poorly installed IRC server (MOTD not edited)' > $RPM_BUILD_ROOT/etc/ircd/ircd.motd
install -m 750 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ircd
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/support/iauth.conf $RPM_BUILD_ROOT/etc/ircd
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/doc/example.conf $RPM_BUILD_ROOT/etc/ircd


%post
chkconfig --add ircd
touch /var/log/auth
touch /var/log/opers
touch /var/log/rejects
touch /var/log/users
# update /etc/ircd/ircd.m4
DOMAIN=`egrep '^domain' /etc/resolv.conf | \
	sed -e 's/^domain[     ]*\([^   ]*\).*/\1/'`
HOST=`hostname | sed -e 's/\([a-zA-Z0-9\-]*\).*/\1/'`
sed "s/define(HOSTNAME,.*)/define(HOSTNAME,$HOST)/g" /etc/ircd/ircd.m4 >/etc/ircd/ircd.m4.new
sed "s/define(DOMAIN,.*)/define(DOMAIN,$DOMAIN)/g" /etc/ircd/ircd.m4.new >/etc/ircd/ircd.m4
rm -f /etc/ircd/ircd.m4.new


%preun
if [ $1 = 0 ] ; then
	chkconfig --del ircd
fi


%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%doc doc/2.* doc/Authors doc/BUGS doc/ChangeLog doc/Etiquette doc/INSTALL.*
%doc doc/LICENSE doc/README doc/RELEASE* doc/SERVICE* doc/alt-irc-faq
%doc doc/example.conf doc/iauth-internals.txt doc/m4macros
%doc doc/Juped doc/Nets
/usr/sbin/*
/usr/man/man8/ircd.8.*
/usr/man/man8/iauth.8.*
/usr/man/man8/ircdwatch.8.*
/usr/man/man5/iauth.conf.5.*
%config /etc/ircd/ircd.m4
%config /etc/ircd/ircd.motd
%config /etc/ircd/iauth.conf
%config /etc/ircd/example.conf
/etc/rc.d/init.d/ircd


%changelog
* Fri May 05 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.10.3-4mdk
- FINALLY!
- bad CHROOT option in custom config.h file, fixed.
- fix group
- update /etc/rc.d/init.d/ircd

* Wed Apr 26 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.10.3-3mdk
- update for spec-helper
- major cleanup to specfile

* Mon Feb 21 2000 Vincent Danen <vdanen@linux-mandrake.com>
- specfile changes, installs to / instead of /home/ircd
- removed including libraries in RPM, which makes archive smaller and
  keeps system in sync with libraries currently installed (much cleaner)

* Fri Jan 21 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used specfile provided by Vincent Danen <vdanen@linux-mandrake.com>

* Tue Jan 18 2000 Vincent Danen <vdanen@linux-mandrake.com>
- more specfile changes
- bzip manpages

* Sat Jan 15 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile based on RPM from Mihai Ibanescu <misa@necomm.ro>
- bzip sources
